# This file is used to ignore files which are generated in the Qt build system
# ----------------------------------------------------------------------------

examples/*/*/*
!examples/*/*/*[.]*
!examples/*/*/README
examples/*/*/*[.]app
demos/*/*
!demos/*/*[.]*
demos/*/*[.]app
config.tests/*/*/*
!config.tests/*/*/*[.]*
config.tests/*/*/*[.]app

*~
*.a
*.core
*.moc
*.o
*.obj
*.orig
*.swp
*.rej
*.so
*.pbxuser
*.mode1
*.mode1v3
*_pch.h.cpp
*_resource.rc
.#*
*.*#
core
.qmake.cache
.qmake.vars
*.prl
tags
.DS_Store
*.debug
Makefile*
!qmake/Makefile.win32*
!qmake/Makefile.unix
*.prl
*.app
*.pro.user
bin/Qt*.dll
bin/assistant*
bin/designer*
bin/dumpcpp*
bin/idc*
bin/linguist*
bin/lrelease*
bin/lupdate*
bin/lconvert*
bin/moc*
bin/pixeltool*
bin/qmake*
bin/qdoc3*
bin/qt3to4*
bin/qtdemo*
bin/rcc*
bin/uic*
bin/patternist*
bin/phonon*
bin/qcollectiongenerator*
bin/qdbus*
bin/qhelpconverter*
bin/qhelpgenerator*
bin/qtconfig*
bin/xmlpatterns*
bin/cetest*
bin/collectiongenerator
bin/helpconverter
bin/helpgenerator
configure.cache
config.status
mkspecs/default
mkspecs/qconfig.pri
moc_*.cpp
qmake/qmake.exe
qmake/Makefile.bak
src/corelib/global/qconfig.cpp
src/corelib/global/qconfig.h
src/corelib/global/qconfig.h.qmake
src/tools/uic/qclass_lib_map.h
ui_*.h
tests/auto/qprocess/test*/*.exe
tests/auto/qtcpsocket/stressTest/*.exe
tests/auto/qprocess/fileWriterProcess/*.exe
tests/auto/qmake/testdata/quotedfilenames/*.exe
tests/auto/compilerwarnings/*.exe
tests/auto/qmake/testdata/quotedfilenames/test.cpp
tests/auto/qprocess/fileWriterProcess.txt
.com.apple.timemachine.supported
tests/auto/qlibrary/libmylib.so*
tests/auto/qresourceengine/runtime_resource.rcc
tools/qtestlib/updater/updater*
tools/activeqt/testcon/testcon.tlb
translations/*.qm
qrc_*.cpp

# xemacs temporary files
*.flc

# Vim temporary files
.*.swp

# Visual Studio generated files
*.ib_pdb_index
*.idb
*.ilk
*.pdb
*.sln
*.suo
*.vcproj
*vcproj.*.*.user
*.ncb

# MinGW generated files
*.Debug
*.Release

# WebKit temp files
src/3rdparty/webkit/WebCore/mocinclude.tmp
src/3rdparty/webkit/includes.txt
src/3rdparty/webkit/includes2.txt

# Symlinks generated by configure
tools/qvfb/qvfbhdr.h
tools/qvfb/qlock_p.h
tools/qvfb/qlock.cpp
tools/qvfb/qwssignalhandler.cpp
tools/qvfb/qwssignalhandler_p.h
.DS_Store
.pch
.rcc
*.app
config.status
config.tests/unix/cups/cups
config.tests/unix/getaddrinfo/getaddrinfo
config.tests/unix/getifaddrs/getifaddrs
config.tests/unix/iconv/iconv
config.tests/unix/ipv6/ipv6
config.tests/unix/ipv6ifname/ipv6ifname
config.tests/unix/largefile/largefile
config.tests/unix/nis/nis
config.tests/unix/odbc/odbc
config.tests/unix/openssl/openssl
config.tests/unix/stl/stl
config.tests/unix/zlib/zlib
config.tests/unix/3dnow/3dnow
config.tests/unix/mmx/mmx
config.tests/unix/sse/sse
config.tests/unix/sse2/sse2



# Directories to ignore
# ---------------------

debug
examples/tools/plugandpaint/plugins
include/*
include/*/*
lib/*
!lib/fonts
!lib/README
plugins/*/*
release
tmp
doc-build
doc/html/*
doc/qch
doc-build
.rcc
.pch
.metadata

# Symbian build system generated files
# ---------------------

ABLD.BAT
bld.inf
*.mmp
*.mk
*.rss
*.loc
!s60main.rss
*.pkg
plugin_commonU.def
*.qtplugin
*.sis
*.sisx
*.lst

# Generated by abldfast.bat from devtools.
.abldsteps.*

# Carbide project files
# ---------------------
.project
.cproject
.make.cache
*.d

qtc-debugging-helper
src/corelib/lib
src/network/lib
src/xml/lib/
